package com.realnet.x2-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.x2-b.Entity.User_profile;
import com.realnet.x2-b.Services.User_profileService ;






@RequestMapping(value = "/token/User_profile")
 @CrossOrigin("*") 
@RestController
public class tokenFree_User_profileController {
	@Autowired
	private User_profileService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/User_profile")
		  public User_profile Savedata(@RequestBody User_profile data) {
		User_profile save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/User_profile/{id}")
	public  User_profile update(@RequestBody User_profile data,@PathVariable Integer id ) {
		User_profile update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/User_profile/getall/page")
	public Page<User_profile> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<User_profile> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/User_profile")
	public List<User_profile> getdetails() {
		 List<User_profile> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/User_profile")
	public List<User_profile> getallwioutsec() {
		 List<User_profile> get = Service.getdetails();		
		return get;
}
@GetMapping("/User_profile/{id}")
	public  User_profile  getdetailsbyId(@PathVariable Integer id ) {
		User_profile  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/User_profile/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}